export type OperatorType = '+' | '-' | '*' | '/'

export type Plaquette = {
  value: number
  free: boolean
}

export type Operation = {
  left: Plaquette | null
  right: Plaquette | null
  operator: OperatorType | null
  result: Plaquette | null
}

export type GameStats = {
  bestStreak: number
  currentStreak: number
  nbGames: number
  games: { [key: string]: { score: number; won: boolean } }
}

//
//
//

type SerializableOperation = {
  left: number
  right: number
  operator: OperatorType
}

type SrGame = {
  type: 'daily' | 'random'
  over: boolean
  won: boolean
}

export type GameState = {
  games: SrGame[]
}
